<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cokr.xit.fims.epst.dao.EpostRcptDtlMapper">

<!-- 전자우편 접수 상세 정보 매퍼
 ========== 변경 이력 ==========
 2023-12-15	JoJH 최초 작성
 ============================ -->

	<resultMap id="epostRcptDtlRow" type="cokr.xit.fims.epst.EpostRcptDtl">
		<result property="conKey"					column="CON_KEY" />						<!-- 외부연계식별키 -->
		<result property="rgstNmbr"					column="RGST_NMBR" />					<!-- 등기번호 -->
		<result property="recevSeq"					column="RECEV_SEQ" />					<!-- 일련번호 -->
		<result property="recevCode"				column="RECEV_CODE" />					<!-- 발송코드 -->
		<result property="recevBar1d"				column="RECEV_BAR1D" />					<!-- 바코드 -->
		<result property="recevBar2d"				column="RECEV_BAR2D" />					<!-- 이차원바코드 -->
		<result property="recevBillNumber"			column="RECEV_BILL_NUMBER" />			<!-- 고지번호 -->
		<result property="recevDocCd1"				column="RECEV_DOC_CD1" />				<!-- 문서종류1 -->
		<result property="recevDocCd2"				column="RECEV_DOC_CD2" />				<!-- 문서종류2 -->
		<result property="recevDocCd3"				column="RECEV_DOC_CD3" />				<!-- 문서종류3 -->
		<result property="recevDocCd4"				column="RECEV_DOC_CD4" />				<!-- 문서종류4 -->
		<result property="recevDocCd5"				column="RECEV_DOC_CD5" />				<!-- 문서종류5 -->
		<result property="recevSubj1"				column="RECEV_SUBJ1" />					<!-- 과목명1 -->
		<result property="recevSubj2"				column="RECEV_SUBJ2" />					<!-- 과목명2 -->
		<result property="recevSubj3"				column="RECEV_SUBJ3" />					<!-- 과목명3 -->
		<result property="recevViolateDt"			column="RECEV_VIOLATE_DT" />			<!-- 위반일시 -->
		<result property="recevViolateDong"			column="RECEV_VIOLATE_DONG" />			<!-- 위반동 -->
		<result property="recevViolatePlace"		column="RECEV_VIOLATE_PLACE" />			<!-- 위반장소 -->
		<result property="recevLaws"				column="RECEV_LAWS" />					<!-- 법조항 -->
		<result property="recevPayNumber1"			column="RECEV_PAY_NUMBER1" />			<!-- 납부번호1 -->
		<result property="recevPayNumber2"			column="RECEV_PAY_NUMBER2" />			<!-- 납부번호2 -->
		<result property="recevOcr0"				column="RECEV_OCR0" />					<!-- OCR0 -->
		<result property="recevOcr1"				column="RECEV_OCR1" />					<!-- OCR1 -->
		<result property="recevOcr2"				column="RECEV_OCR2" />					<!-- OCR2 -->
		<result property="recevOnlinePayNumber"		column="RECEV_ONLINE_PAY_NUMBER" />		<!-- 전자납부번호 -->
		<result property="vractno"					column="VRACTNO" />						<!-- 가상계좌번호 -->
		<result property="recevFinePrice"			column="RECEV_FINE_PRICE" />			<!-- 과태료 -->
		<result property="recevPayPrice"			column="RECEV_PAY_PRICE" />				<!-- 납부금액 -->
		<result property="recevPayDt"				column="RECEV_PAY_DT" />				<!-- 납부기한 -->
		<result property="recevPayInDate"			column="RECEV_PAY_IN_DATE" />			<!-- 납기내기한 -->
		<result property="recevPayInPrice"			column="RECEV_PAY_IN_PRICE" />			<!-- 납기내금액 -->
		<result property="recevPayInAddPrice"		column="RECEV_PAY_IN_ADD_PRICE" />		<!-- 납기내가산금 -->
		<result property="recevPayInDefaultPrice"	column="RECEV_PAY_IN_DEFAULT_PRICE" />	<!-- 납기내합계금액 -->
		<result property="recevPayOutDate"			column="RECEV_PAY_OUT_DATE" />			<!-- 납기후기한 -->
		<result property="recevPayOutPrice"			column="RECEV_PAY_OUT_PRICE" />			<!-- 납기후금액 -->
		<result property="recevPayOutAddPrice"		column="RECEV_PAY_OUT_ADD_PRICE" />		<!-- 납기후가산금 -->
		<result property="recevPayOutDefaultPrice"	column="RECEV_PAY_OUT_DEFAULT_PRICE" />	<!-- 납기후합계금액 -->
		<result property="recevCarNumber"			column="RECEV_CAR_NUMBER" />			<!-- 차량번호 -->
		<result property="recevCarOwnerZipcode"		column="RECEV_CAR_OWNER_ZIPCODE" />		<!-- 우편번호 -->
		<result property="recevCarOwnerAddr"		column="RECEV_CAR_OWNER_ADDR" />		<!-- 주소 -->
		<result property="recevCarOwnerDetailaddr"	column="RECEV_CAR_OWNER_DETAILADDR" />	<!-- 상세주소 -->
		<result property="recevCarOwnerNm"			column="RECEV_CAR_OWNER_NM" />			<!-- 소유자명 -->
		<result property="recevCarOwnerSsn"			column="RECEV_CAR_OWNER_SSN" />			<!-- 주민번호 -->
		<result property="recevEvidenceNumber"		column="RECEV_EVIDENCE_NUMBER" />		<!-- 증거번호 -->
		<result property="recevPhotoCnt"			column="RECEV_PHOTO_CNT" />				<!-- 사진장수 -->
		<result property="recevPhotoFilename1"		column="RECEV_PHOTO_FILENAME1" />		<!-- 사진파일명1 -->
		<result property="recevPhotoFilename2"		column="RECEV_PHOTO_FILENAME2" />		<!-- 사진파일명2 -->
		<result property="recevPhotoFilename3"		column="RECEV_PHOTO_FILENAME3" />		<!-- 사진파일명3 -->
		<result property="recevPhotoFilename4"		column="RECEV_PHOTO_FILENAME4" />		<!-- 사진파일명4 -->
		<result property="vractno2"					column="VRACTNO2" />					<!-- 가상계좌번호2 -->
		<result property="vractno3"					column="VRACTNO3" />					<!-- 가상계좌번호3 -->
		<result property="vractno4"					column="VRACTNO4" />					<!-- 가상계좌번호4 -->
		<result property="vractno5"					column="VRACTNO5" />					<!-- 가상계좌번호5 -->
		<result property="vractno6"					column="VRACTNO6" />					<!-- 가상계좌번호6 -->
		<result property="vractno7"					column="VRACTNO7" />					<!-- 가상계좌번호7 -->
		<result property="vractno8"					column="VRACTNO8" />					<!-- 가상계좌번호8 -->
		<result property="vractno9"					column="VRACTNO9" />					<!-- 가상계좌번호9 -->
		<result property="vractno10"				column="VRACTNO10" />					<!-- 가상계좌번호10 -->
		<result property="vractno11"				column="VRACTNO11" />					<!-- 가상계좌번호11 -->
		<result property="dtlVarData1"				column="DTL_VAR_DATA1" />				<!-- 추가 데이터1 -->
		<result property="dtlVarData2"				column="DTL_VAR_DATA2" />				<!-- 추가 데이터2 -->
		<result property="dtlVarData3"				column="DTL_VAR_DATA3" />				<!-- 추가 데이터3 -->
		<result property="dtlVarData4"				column="DTL_VAR_DATA4" />				<!-- 추가 데이터4 -->
		<result property="dtlVarData5"				column="DTL_VAR_DATA5" />				<!-- 추가 데이터5 -->
		<result property="makeRsltCd"				column="MAKE_RSLT_CD" />				<!-- 제작 결과 코드 -->
		<result property="dlvrRsltId"				column="DLVR_RSLT_ID" />				<!-- 배달 결과 ID -->
		<result property="delYn"					column="DEL_YN" />						<!-- 삭제 여부 -->
		<result property="createdAt"				column="REG_DT" />						<!-- 등록 일시 -->
		<result property="createdBy"				column="RGTR" />						<!-- 등록자 -->
		<result property="lastModified"				column="MDFCN_DT" />					<!-- 수정 일시 -->
		<result property="modifiedBy"				column="MDFR" />						<!-- 수정자 -->
		<result property="removedAt"				column="DEL_DT" />						<!-- 삭제 일시 -->
		<result property="removedBy"				column="DLTR" />						<!-- 삭제자 -->
	</resultMap>

    <sql id="select">
        SELECT ERD.CON_KEY                     <!-- 외부연계식별키 -->
             , ERD.RGST_NMBR                   <!-- 등기번호 -->
             , ERD.RECEV_SEQ                   <!-- 일련번호 -->
             , ERD.RECEV_CODE                  <!-- 발송코드 -->
             , ERD.RECEV_BAR1D                 <!-- 바코드 -->
             , ERD.RECEV_BAR2D                 <!-- 이차원바코드 -->
             , ERD.RECEV_BILL_NUMBER           <!-- 고지번호 -->
             , ERD.RECEV_DOC_CD1               <!-- 문서종류1 -->
             , ERD.RECEV_DOC_CD2               <!-- 문서종류2 -->
             , ERD.RECEV_DOC_CD3               <!-- 문서종류3 -->
             , ERD.RECEV_DOC_CD4               <!-- 문서종류4 -->
             , ERD.RECEV_DOC_CD5               <!-- 문서종류5 -->
             , ERD.RECEV_SUBJ1                 <!-- 과목명1 -->
             , ERD.RECEV_SUBJ2                 <!-- 과목명2 -->
             , ERD.RECEV_SUBJ3                 <!-- 과목명3 -->
             , ERD.RECEV_VIOLATE_DT            <!-- 위반일시 -->
             , ERD.RECEV_VIOLATE_DONG          <!-- 위반동 -->
             , ERD.RECEV_VIOLATE_PLACE         <!-- 위반장소 -->
             , ERD.RECEV_LAWS                  <!-- 법조항 -->
             , ERD.RECEV_PAY_NUMBER1           <!-- 납부번호1 -->
             , ERD.RECEV_PAY_NUMBER2           <!-- 납부번호2 -->
             , ERD.RECEV_OCR0                  <!-- OCR0 -->
             , ERD.RECEV_OCR1                  <!-- OCR1 -->
             , ERD.RECEV_OCR2                  <!-- OCR2 -->
             , ERD.RECEV_ONLINE_PAY_NUMBER     <!-- 전자납부번호 -->
             , ERD.VRACTNO                     <!-- 가상계좌번호 -->
             , ERD.RECEV_FINE_PRICE            <!-- 과태료 -->
             , ERD.RECEV_PAY_PRICE             <!-- 납부금액 -->
             , ERD.RECEV_PAY_DT                <!-- 납부기한 -->
             , ERD.RECEV_PAY_IN_DATE           <!-- 납기내기한 -->
             , ERD.RECEV_PAY_IN_PRICE          <!-- 납기내금액 -->
             , ERD.RECEV_PAY_IN_ADD_PRICE      <!-- 납기내가산금 -->
             , ERD.RECEV_PAY_IN_DEFAULT_PRICE  <!-- 납기내합계금액 -->
             , ERD.RECEV_PAY_OUT_DATE          <!-- 납기후기한 -->
             , ERD.RECEV_PAY_OUT_PRICE         <!-- 납기후금액 -->
             , ERD.RECEV_PAY_OUT_ADD_PRICE     <!-- 납기후가산금 -->
             , ERD.RECEV_PAY_OUT_DEFAULT_PRICE <!-- 납기후합계금액 -->
             , ERD.RECEV_CAR_NUMBER            <!-- 차량번호 -->
             , ERD.RECEV_CAR_OWNER_ZIPCODE     <!-- 우편번호 -->
             , ERD.RECEV_CAR_OWNER_ADDR        <!-- 주소 -->
             , ERD.RECEV_CAR_OWNER_DETAILADDR  <!-- 상세주소 -->
             , ERD.RECEV_CAR_OWNER_NM          <!-- 소유자명 -->
             , ERD.RECEV_CAR_OWNER_SSN         <!-- 주민번호 -->
             , ERD.RECEV_EVIDENCE_NUMBER       <!-- 증거번호 -->
             , ERD.RECEV_PHOTO_CNT             <!-- 사진장수 -->
             , ERD.RECEV_PHOTO_FILENAME1       <!-- 사진파일명1 -->
             , ERD.RECEV_PHOTO_FILENAME2       <!-- 사진파일명2 -->
             , ERD.RECEV_PHOTO_FILENAME3       <!-- 사진파일명3 -->
             , ERD.RECEV_PHOTO_FILENAME4       <!-- 사진파일명4 -->
             , ERD.VRACTNO2                    <!-- 가상계좌번호2 -->
             , ERD.VRACTNO3                    <!-- 가상계좌번호3 -->
             , ERD.VRACTNO4                    <!-- 가상계좌번호4 -->
             , ERD.VRACTNO5                    <!-- 가상계좌번호5 -->
             , ERD.VRACTNO6                    <!-- 가상계좌번호6 -->
             , ERD.VRACTNO7                    <!-- 가상계좌번호7 -->
             , ERD.VRACTNO8                    <!-- 가상계좌번호8 -->
             , ERD.VRACTNO9                    <!-- 가상계좌번호9 -->
             , ERD.VRACTNO10                   <!-- 가상계좌번호10 -->
             , ERD.VRACTNO11                   <!-- 가상계좌번호11 -->
             , ERD.DTL_VAR_DATA1               <!-- 추가 데이터1 -->
             , ERD.DTL_VAR_DATA2               <!-- 추가 데이터2 -->
             , ERD.DTL_VAR_DATA3               <!-- 추가 데이터3 -->
             , ERD.DTL_VAR_DATA4               <!-- 추가 데이터4 -->
             , ERD.DTL_VAR_DATA5               <!-- 추가 데이터5 -->
             , ERD.MAKE_RSLT_CD                <!-- 제작 결과 코드 -->
             , ERD.DLVR_RSLT_ID                <!-- 배달 결과 ID -->
             , ERD.DEL_YN                      <!-- 삭제 여부 -->
             , ERD.REG_DT                      <!-- 등록 일시 -->
             , ERD.RGTR                        <!-- 등록자 -->
             , ERD.MDFCN_DT                    <!-- 수정 일시 -->
             , ERD.MDFR                        <!-- 수정자 -->
             , ERD.DEL_DT                      <!-- 삭제 일시 -->
             , ERD.DLTR                        <!-- 삭제자 -->
          FROM TB_EPOST_RCPT_DTL        ERD
    </sql>

    <select id="selectEpostRcptDtlList" parameterType="map" resultType="dataobject">/* 전자우편 접수 상세 목록 조회(epostRcptDtlMapper.selectEpostRcptDtlList) */
        <include refid="utility.paging-prefix" />
        <include refid="select" />
        <where>
            <if test="conKey != null">
           AND ERD.CON_KEY      =  #{conKey}    <!-- 외부연계식별키 -->
            </if>
            <if test="delYn != null">
           AND ERD.DEL_YN       =  #{delYn}     <!-- 삭제 여부 -->
            </if>
            <choose>
                <when test="schRegDateOpt == 'regDt'">
                    <if test="schRegDateFrom != null">
           AND ERD.REG_DT <![CDATA[>=]]> CONCAT(#{schRegDateFrom},'000000')     <!-- 등록 일자 시작 -->
                    </if>
                    <if test="schRegDateTo != null">
           AND ERD.REG_DT <![CDATA[<=]]> CONCAT(#{schRegDateTo},'235959')       <!-- 등록 일자 종료 -->
                    </if>
                </when>
                <when test="schRegDateOpt == 'mdfcnDt'">
                    <if test="schRegDateFrom != null">
           AND ERD.MDFCN_DT <![CDATA[>=]]> CONCAT(#{schRegDateFrom},'000000')   <!-- 수정 일자 시작 -->
                    </if>
                    <if test="schRegDateTo != null">
           AND ERD.MDFCN_DT <![CDATA[<=]]> CONCAT(#{schRegDateTo},'235959')     <!-- 수정 일자 종료 -->
                    </if>
                </when>
                <otherwise>
                </otherwise>
            </choose>
            <choose>
                <when test="schRgtrOpt == 'rgtr'">
                    <if test="schRgtrCd != null">
           AND ERD.RGTR         =  #{schRgtrCd}         <!-- 등록자 코드 -->
                    </if>
                </when>
                <when test="schRgtrOpt == 'mdfr'">
                    <if test="schRgtrCd != null">
           AND ERD.MDFR         =  #{schRgtrCd}         <!-- 수정자 코드 -->
                    </if>
                </when>
                <otherwise>
                </otherwise>
            </choose>
        </where>
        <include refid="utility.orderBy" />
        <include refid="utility.paging-suffix" />
    </select>

    <select id="selectEpostRcptDtls" parameterType="map" resultMap="epostRcptDtlRow">/* 전자우편 접수 상세 객체 가져오기(epostRcptDtlMapper.selectEpostRcptDtls) */
        <include refid="select" />
        <where>
            <if test="conKey != null">
           AND ERD.CON_KEY      =  #{conKey}    <!-- 외부연계식별키 -->
            </if>
            <if test="delYn != null">
           AND ERD.DEL_YN       =  #{delYn}     <!-- 삭제 여부 -->
            </if>
        </where>
        <include refid="utility.orderBy" />
    </select>

    <select id="selectEpostSenderDetailSeq" parameterType="String">/* 전자우편 접수 상세 등기번호 조회(epostRcptRegMapper.selectEpostSenderDetailSeq) */
        SELECT IFNULL(RIGHT(MAX(RGST_NMBR), 5), 0)                                      AS RGST_NMBR            <!-- 등기 번호 -->
          FROM TB_EPOST_RCPT_DTL
         WHERE RGST_NMBR LIKE CONCAT(#{sndngYmd}, '%')
    </select>

    <insert id="insertEpostRcptDtl" parameterType="map">/* 전자우편 접수 상세 등록(epostRcptDtlMapper.insertEpostRcptDtl) */
        INSERT
          INTO TB_EPOST_RCPT_DTL (
               CON_KEY                     <!-- 외부연계식별키 -->
             , RGST_NMBR                   <!-- 등기번호 -->
             , RECEV_SEQ                   <!-- 일련번호 -->
             , RECEV_CODE                  <!-- 발송코드 -->
             , RECEV_BAR1D                 <!-- 바코드 -->
             , RECEV_BAR2D                 <!-- 이차원바코드 -->
             , RECEV_BILL_NUMBER           <!-- 고지번호 -->
             , RECEV_DOC_CD1               <!-- 문서종류1 -->
             , RECEV_DOC_CD2               <!-- 문서종류2 -->
             , RECEV_DOC_CD3               <!-- 문서종류3 -->
             , RECEV_DOC_CD4               <!-- 문서종류4 -->
             , RECEV_DOC_CD5               <!-- 문서종류5 -->
             , RECEV_SUBJ1                 <!-- 과목명1 -->
             , RECEV_SUBJ2                 <!-- 과목명2 -->
             , RECEV_SUBJ3                 <!-- 과목명3 -->
             , RECEV_VIOLATE_DT            <!-- 위반일시 -->
             , RECEV_VIOLATE_DONG          <!-- 위반동 -->
             , RECEV_VIOLATE_PLACE         <!-- 위반장소 -->
             , RECEV_LAWS                  <!-- 법조항 -->
             , RECEV_PAY_NUMBER1           <!-- 납부번호1 -->
             , RECEV_PAY_NUMBER2           <!-- 납부번호2 -->
             , RECEV_OCR0                  <!-- OCR0 -->
             , RECEV_OCR1                  <!-- OCR1 -->
             , RECEV_OCR2                  <!-- OCR2 -->
             , RECEV_ONLINE_PAY_NUMBER     <!-- 전자납부번호 -->
             , VRACTNO                     <!-- 가상계좌번호 -->
             , RECEV_FINE_PRICE            <!-- 과태료 -->
             , RECEV_PAY_PRICE             <!-- 납부금액 -->
             , RECEV_PAY_DT                <!-- 납부기한 -->
             , RECEV_PAY_IN_DATE           <!-- 납기내기한 -->
             , RECEV_PAY_IN_PRICE          <!-- 납기내금액 -->
             , RECEV_PAY_IN_ADD_PRICE      <!-- 납기내가산금 -->
             , RECEV_PAY_IN_DEFAULT_PRICE  <!-- 납기내합계금액 -->
             , RECEV_PAY_OUT_DATE          <!-- 납기후기한 -->
             , RECEV_PAY_OUT_PRICE         <!-- 납기후금액 -->
             , RECEV_PAY_OUT_ADD_PRICE     <!-- 납기후가산금 -->
             , RECEV_PAY_OUT_DEFAULT_PRICE <!-- 납기후합계금액 -->
             , RECEV_CAR_NUMBER            <!-- 차량번호 -->
             , RECEV_CAR_OWNER_ZIPCODE     <!-- 우편번호 -->
             , RECEV_CAR_OWNER_ADDR        <!-- 주소 -->
             , RECEV_CAR_OWNER_DETAILADDR  <!-- 상세주소 -->
             , RECEV_CAR_OWNER_NM          <!-- 소유자명 -->
             , RECEV_CAR_OWNER_SSN         <!-- 주민번호 -->
             , RECEV_EVIDENCE_NUMBER       <!-- 증거번호 -->
             , RECEV_PHOTO_CNT             <!-- 사진장수 -->
             , RECEV_PHOTO_FILENAME1       <!-- 사진파일명1 -->
             , RECEV_PHOTO_FILENAME2       <!-- 사진파일명2 -->
             , RECEV_PHOTO_FILENAME3       <!-- 사진파일명3 -->
             , RECEV_PHOTO_FILENAME4       <!-- 사진파일명4 -->
             , VRACTNO2                    <!-- 가상계좌번호2 -->
             , VRACTNO3                    <!-- 가상계좌번호3 -->
             , VRACTNO4                    <!-- 가상계좌번호4 -->
             , VRACTNO5                    <!-- 가상계좌번호5 -->
             , VRACTNO6                    <!-- 가상계좌번호6 -->
             , VRACTNO7                    <!-- 가상계좌번호7 -->
             , VRACTNO8                    <!-- 가상계좌번호8 -->
             , VRACTNO9                    <!-- 가상계좌번호9 -->
             , VRACTNO10                   <!-- 가상계좌번호10 -->
             , VRACTNO11                   <!-- 가상계좌번호11 -->
             , DTL_VAR_DATA1               <!-- 추가 데이터1 -->
             , DTL_VAR_DATA2               <!-- 추가 데이터2 -->
             , DTL_VAR_DATA3               <!-- 추가 데이터3 -->
             , DTL_VAR_DATA4               <!-- 추가 데이터4 -->
             , DTL_VAR_DATA5               <!-- 추가 데이터5 -->
             , MAKE_RSLT_CD                <!-- 제작 결과 코드 -->
             , DLVR_RSLT_ID                <!-- 배달 결과 ID -->
             , DEL_YN                      <!-- 삭제 여부 -->
             , REG_DT                      <!-- 등록 일시 -->
             , RGTR                        <!-- 등록자 -->
             , MDFCN_DT                    <!-- 수정 일시 -->
             , MDFR                        <!-- 수정자 -->
      ) VALUES (
               #{epostRcptDtl.conKey}                   <!-- 외부연계식별키 -->
             , #{epostRcptDtl.rgstNmbr}                 <!-- 등기번호 -->
             , #{epostRcptDtl.recevSeq}                 <!-- 일련번호 -->
             , #{epostRcptDtl.recevCode}                <!-- 발송코드 -->
             , #{epostRcptDtl.recevBar1d}               <!-- 바코드 -->
             , #{epostRcptDtl.recevBar2d}               <!-- 이차원바코드 -->
             , #{epostRcptDtl.recevBillNumber}          <!-- 고지번호 -->
             , #{epostRcptDtl.recevDocCd1}              <!-- 문서종류1 -->
             , #{epostRcptDtl.recevDocCd2}              <!-- 문서종류2 -->
             , #{epostRcptDtl.recevDocCd3}              <!-- 문서종류3 -->
             , #{epostRcptDtl.recevDocCd4}              <!-- 문서종류4 -->
             , #{epostRcptDtl.recevDocCd5}              <!-- 문서종류5 -->
             , #{epostRcptDtl.recevSubj1}               <!-- 과목명1 -->
             , #{epostRcptDtl.recevSubj2}               <!-- 과목명2 -->
             , #{epostRcptDtl.recevSubj3}               <!-- 과목명3 -->
             , #{epostRcptDtl.recevViolateDt}           <!-- 위반일시 -->
             , #{epostRcptDtl.recevViolateDong}         <!-- 위반동 -->
             , #{epostRcptDtl.recevViolatePlace}        <!-- 위반장소 -->
             , #{epostRcptDtl.recevLaws}                <!-- 법조항 -->
             , #{epostRcptDtl.recevPayNumber1}          <!-- 납부번호1 -->
             , #{epostRcptDtl.recevPayNumber2}          <!-- 납부번호2 -->
             , #{epostRcptDtl.recevOcr0}                <!-- OCR0 -->
             , #{epostRcptDtl.recevOcr1}                <!-- OCR1 -->
             , #{epostRcptDtl.recevOcr2}                <!-- OCR2 -->
             , #{epostRcptDtl.recevOnlinePayNumber}     <!-- 전자납부번호 -->
             , #{epostRcptDtl.vractno}                  <!-- 가상계좌번호 -->
             , #{epostRcptDtl.recevFinePrice}           <!-- 과태료 -->
             , #{epostRcptDtl.recevPayPrice}            <!-- 납부금액 -->
             , #{epostRcptDtl.recevPayDt}               <!-- 납부기한 -->
             , #{epostRcptDtl.recevPayInDate}           <!-- 납기내기한 -->
             , #{epostRcptDtl.recevPayInPrice}          <!-- 납기내금액 -->
             , #{epostRcptDtl.recevPayInAddPrice}       <!-- 납기내가산금 -->
             , #{epostRcptDtl.recevPayInDefaultPrice}   <!-- 납기내합계금액 -->
             , #{epostRcptDtl.recevPayOutDate}          <!-- 납기후기한 -->
             , #{epostRcptDtl.recevPayOutPrice}         <!-- 납기후금액 -->
             , #{epostRcptDtl.recevPayOutAddPrice}      <!-- 납기후가산금 -->
             , #{epostRcptDtl.recevPayOutDefaultPrice}  <!-- 납기후합계금액 -->
             , #{epostRcptDtl.recevCarNumber}           <!-- 차량번호 -->
             , #{epostRcptDtl.recevCarOwnerZipcode}     <!-- 우편번호 -->
             , #{epostRcptDtl.recevCarOwnerAddr}        <!-- 주소 -->
             , #{epostRcptDtl.recevCarOwnerDetailaddr}  <!-- 상세주소 -->
             , #{epostRcptDtl.recevCarOwnerNm}          <!-- 소유자명 -->
             , #{epostRcptDtl.recevCarOwnerSsn}         <!-- 주민번호 -->
             , #{epostRcptDtl.recevEvidenceNumber}      <!-- 증거번호 -->
             , #{epostRcptDtl.recevPhotoCnt}            <!-- 사진장수 -->
             , #{epostRcptDtl.recevPhotoFilename1}      <!-- 사진파일명1 -->
             , #{epostRcptDtl.recevPhotoFilename2}      <!-- 사진파일명2 -->
             , #{epostRcptDtl.recevPhotoFilename3}      <!-- 사진파일명3 -->
             , #{epostRcptDtl.recevPhotoFilename4}      <!-- 사진파일명4 -->
             , #{epostRcptDtl.vractno2}                 <!-- 가상계좌번호2 -->
             , #{epostRcptDtl.vractno3}                 <!-- 가상계좌번호3 -->
             , #{epostRcptDtl.vractno4}                 <!-- 가상계좌번호4 -->
             , #{epostRcptDtl.vractno5}                 <!-- 가상계좌번호5 -->
             , #{epostRcptDtl.vractno6}                 <!-- 가상계좌번호6 -->
             , #{epostRcptDtl.vractno7}                 <!-- 가상계좌번호7 -->
             , #{epostRcptDtl.vractno8}                 <!-- 가상계좌번호8 -->
             , #{epostRcptDtl.vractno9}                 <!-- 가상계좌번호9 -->
             , #{epostRcptDtl.vractno10}                <!-- 가상계좌번호10 -->
             , #{epostRcptDtl.vractno11}                <!-- 가상계좌번호11 -->
             , #{epostRcptDtl.dtlVarData1}              <!-- 추가 데이터1 -->
             , #{epostRcptDtl.dtlVarData2}              <!-- 추가 데이터2 -->
             , #{epostRcptDtl.dtlVarData3}              <!-- 추가 데이터3 -->
             , #{epostRcptDtl.dtlVarData4}              <!-- 추가 데이터4 -->
             , #{epostRcptDtl.dtlVarData5}              <!-- 추가 데이터5 -->
             , #{epostRcptDtl.makeRsltCd}               <!-- 제작 결과 코드 -->
             , #{epostRcptDtl.dlvrRsltId}               <!-- 배달 결과 ID -->
             , 'N'                                      <!-- 삭제 여부 -->
             , <include refid="utility.now" />          /* 등록 일시 */
             , #{epostRcptDtl.createdBy}                /* 등록자 */
             , <include refid="utility.now" />          /* 수정 일시 */
             , #{epostRcptDtl.modifiedBy}               /* 수정자 */
      )
    </insert>

    <update id="updateEpostRcptDtl" parameterType="map">/* 전자우편 접수 상세 수정(epostRcptDtlMapper.updateEpostRcptDtl) */
        UPDATE TB_EPOST_RCPT_DTL
           SET RECEV_SEQ                   = #{epostRcptDtl.recevSeq}                   <!-- 일련번호 -->
             , RECEV_CODE                  = #{epostRcptDtl.recevCode}                  <!-- 발송코드 -->
             , RECEV_BAR1D                 = #{epostRcptDtl.recevBar1d}                 <!-- 바코드 -->
             , RECEV_BAR2D                 = #{epostRcptDtl.recevBar2d}                 <!-- 이차원바코드 -->
             , RECEV_BILL_NUMBER           = #{epostRcptDtl.recevBillNumber}            <!-- 고지번호 -->
             , RECEV_DOC_CD1               = #{epostRcptDtl.recevDocCd1}                <!-- 문서종류1 -->
             , RECEV_DOC_CD2               = #{epostRcptDtl.recevDocCd2}                <!-- 문서종류2 -->
             , RECEV_DOC_CD3               = #{epostRcptDtl.recevDocCd3}                <!-- 문서종류3 -->
             , RECEV_DOC_CD4               = #{epostRcptDtl.recevDocCd4}                <!-- 문서종류4 -->
             , RECEV_DOC_CD5               = #{epostRcptDtl.recevDocCd5}                <!-- 문서종류5 -->
             , RECEV_SUBJ1                 = #{epostRcptDtl.recevSubj1}                 <!-- 과목명1 -->
             , RECEV_SUBJ2                 = #{epostRcptDtl.recevSubj2}                 <!-- 과목명2 -->
             , RECEV_SUBJ3                 = #{epostRcptDtl.recevSubj3}                 <!-- 과목명3 -->
             , RECEV_VIOLATE_DT            = #{epostRcptDtl.recevViolateDt}             <!-- 위반일시 -->
             , RECEV_VIOLATE_DONG          = #{epostRcptDtl.recevViolateDong}           <!-- 위반동 -->
             , RECEV_VIOLATE_PLACE         = #{epostRcptDtl.recevViolatePlace}          <!-- 위반장소 -->
             , RECEV_LAWS                  = #{epostRcptDtl.recevLaws}                  <!-- 법조항 -->
             , RECEV_PAY_NUMBER1           = #{epostRcptDtl.recevPayNumber1}            <!-- 납부번호1 -->
             , RECEV_PAY_NUMBER2           = #{epostRcptDtl.recevPayNumber2}            <!-- 납부번호2 -->
             , RECEV_OCR0                  = #{epostRcptDtl.recevOcr0}                  <!-- OCR0 -->
             , RECEV_OCR1                  = #{epostRcptDtl.recevOcr1}                  <!-- OCR1 -->
             , RECEV_OCR2                  = #{epostRcptDtl.recevOcr2}                  <!-- OCR2 -->
             , RECEV_ONLINE_PAY_NUMBER     = #{epostRcptDtl.recevOnlinePayNumber}       <!-- 전자납부번호 -->
             , VRACTNO                     = #{epostRcptDtl.vractno}                    <!-- 가상계좌번호 -->
             , RECEV_FINE_PRICE            = #{epostRcptDtl.recevFinePrice}             <!-- 과태료 -->
             , RECEV_PAY_PRICE             = #{epostRcptDtl.recevPayPrice}              <!-- 납부금액 -->
             , RECEV_PAY_DT                = #{epostRcptDtl.recevPayDt}                 <!-- 납부기한 -->
             , RECEV_PAY_IN_DATE           = #{epostRcptDtl.recevPayInDate}             <!-- 납기내기한 -->
             , RECEV_PAY_IN_PRICE          = #{epostRcptDtl.recevPayInPrice}            <!-- 납기내금액 -->
             , RECEV_PAY_IN_ADD_PRICE      = #{epostRcptDtl.recevPayInAddPrice}         <!-- 납기내가산금 -->
             , RECEV_PAY_IN_DEFAULT_PRICE  = #{epostRcptDtl.recevPayInDefaultPrice}     <!-- 납기내합계금액 -->
             , RECEV_PAY_OUT_DATE          = #{epostRcptDtl.recevPayOutDate}            <!-- 납기후기한 -->
             , RECEV_PAY_OUT_PRICE         = #{epostRcptDtl.recevPayOutPrice}           <!-- 납기후금액 -->
             , RECEV_PAY_OUT_ADD_PRICE     = #{epostRcptDtl.recevPayOutAddPrice}        <!-- 납기후가산금 -->
             , RECEV_PAY_OUT_DEFAULT_PRICE = #{epostRcptDtl.recevPayOutDefaultPrice}    <!-- 납기후합계금액 -->
             , RECEV_CAR_NUMBER            = #{epostRcptDtl.recevCarNumber}             <!-- 차량번호 -->
             , RECEV_CAR_OWNER_ZIPCODE     = #{epostRcptDtl.recevCarOwnerZipcode}       <!-- 우편번호 -->
             , RECEV_CAR_OWNER_ADDR        = #{epostRcptDtl.recevCarOwnerAddr}          <!-- 주소 -->
             , RECEV_CAR_OWNER_DETAILADDR  = #{epostRcptDtl.recevCarOwnerDetailaddr}    <!-- 상세주소 -->
             , RECEV_CAR_OWNER_NM          = #{epostRcptDtl.recevCarOwnerNm}            <!-- 소유자명 -->
             , RECEV_CAR_OWNER_SSN         = #{epostRcptDtl.recevCarOwnerSsn}           <!-- 주민번호 -->
             , RECEV_EVIDENCE_NUMBER       = #{epostRcptDtl.recevEvidenceNumber}        <!-- 증거번호 -->
             , RECEV_PHOTO_CNT             = #{epostRcptDtl.recevPhotoCnt}              <!-- 사진장수 -->
             , RECEV_PHOTO_FILENAME1       = #{epostRcptDtl.recevPhotoFilename1}        <!-- 사진파일명1 -->
             , RECEV_PHOTO_FILENAME2       = #{epostRcptDtl.recevPhotoFilename2}        <!-- 사진파일명2 -->
             , RECEV_PHOTO_FILENAME3       = #{epostRcptDtl.recevPhotoFilename3}        <!-- 사진파일명3 -->
             , RECEV_PHOTO_FILENAME4       = #{epostRcptDtl.recevPhotoFilename4}        <!-- 사진파일명4 -->
             , VRACTNO2                    = #{epostRcptDtl.vractno2}                   <!-- 가상계좌번호2 -->
             , VRACTNO3                    = #{epostRcptDtl.vractno3}                   <!-- 가상계좌번호3 -->
             , VRACTNO4                    = #{epostRcptDtl.vractno4}                   <!-- 가상계좌번호4 -->
             , VRACTNO5                    = #{epostRcptDtl.vractno5}                   <!-- 가상계좌번호5 -->
             , VRACTNO6                    = #{epostRcptDtl.vractno6}                   <!-- 가상계좌번호6 -->
             , VRACTNO7                    = #{epostRcptDtl.vractno7}                   <!-- 가상계좌번호7 -->
             , VRACTNO8                    = #{epostRcptDtl.vractno8}                   <!-- 가상계좌번호8 -->
             , VRACTNO9                    = #{epostRcptDtl.vractno9}                   <!-- 가상계좌번호9 -->
             , VRACTNO10                   = #{epostRcptDtl.vractno10}                  <!-- 가상계좌번호10 -->
             , VRACTNO11                   = #{epostRcptDtl.vractno11}                  <!-- 가상계좌번호11 -->
             , DTL_VAR_DATA1               = #{epostRcptDtl.dtlVarData1}                <!-- 추가 데이터1 -->
             , DTL_VAR_DATA2               = #{epostRcptDtl.dtlVarData2}                <!-- 추가 데이터2 -->
             , DTL_VAR_DATA3               = #{epostRcptDtl.dtlVarData3}                <!-- 추가 데이터3 -->
             , DTL_VAR_DATA4               = #{epostRcptDtl.dtlVarData4}                <!-- 추가 데이터4 -->
             , DTL_VAR_DATA5               = #{epostRcptDtl.dtlVarData5}                <!-- 추가 데이터5 -->
             , MAKE_RSLT_CD                = #{epostRcptDtl.makeRsltCd}                 <!-- 제작 결과 코드 -->
             , DLVR_RSLT_ID                = #{epostRcptDtl.dlvrRsltId}                 <!-- 배달 결과 ID -->
             , MDFCN_DT                    = <include refid="utility.now" />            <!-- 수정 일시 -->
             , MDFR                        = #{currentUser.id}                          <!-- 수정자 -->
         WHERE CON_KEY                     = #{epostRcptDtl.conKey}
           AND RGST_NMBR                   = #{epostRcptDtl.rgstNmbr}
           AND DEL_YN                      = 'N'
    </update>

    <update id="deleteEpostRcptDtl" parameterType="map">/* 전자우편 접수 상세 삭제(epostRcptDtlMapper.deleteEpostRcptDtl) */
        UPDATE TB_EPOST_RCPT_DTL
           SET DEL_YN    = 'Y'                                  /* 삭제 여부 */
             , DEL_DT    = <include refid="utility.now" />      /* 삭제 일시 */
             , DLTR      = #{epostRcptDtl.removedBy}            /* 삭제자 */
         WHERE CON_KEY   = #{epostRcptDtl.conKey}
           AND RGST_NMBR = #{epostRcptDtl.rgstNmbr}
           AND DEL_YN    = 'N'
    </update>

</mapper>
